Delete Learned Profile Memory
curl --request DELETE \
--url https://tavusapi.com/v2/memory-stores/{memory_store_id}/learned/profile \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"path": "preferences,communication_style"
}
'import requests
url = "https://tavusapi.com/v2/memory-stores/{memory_store_id}/learned/profile"
payload = { "path": "preferences,communication_style" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: 'preferences,communication_style'})
};
fetch('https://tavusapi.com/v2/memory-stores/{memory_store_id}/learned/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Learned memory
Delete Learned Profile Memory
Deletes one path from the learned participant profile.
DELETE
/
v2
/
memory-stores
/
{memory_store_id}
/
learned
/
profile
Delete Learned Profile Memory
Delete one profile field with a comma-separated path containing at most three segments.
Authorizations
Path Parameters
Memory store identifier.
Required string length:
2 - 64Pattern:
^m[a-z0-9]+$Body
application/json
Comma-separated profile path with at most three segments.
Minimum string length:
1Example:
"preferences,communication_style"
Response
Profile path deleted

